package cn.com.countrygarden.bi.main.dto.investment;

import java.io.Serializable;
import java.math.BigDecimal;

public class InvestRegionInvestmentVO extends InvestProjectProfitVo implements Serializable {

	private static final long serialVersionUID = 1L;
	
	private String regionName;
	private String totalFlag;
	
	private BigDecimal followCapitalTotal; // 跟投（资金池）
	private BigDecimal followCapitalAccountTotal;// '总跟投（独资金账户）',
	private BigDecimal financialIncomeCapitalTotal;// '资金池（理财收益）',
	private BigDecimal financialIncomeCapitalAccountTotal;// '单独资金账户（理财收益）',
	private BigDecimal raisingBalanceCapitalTotal;// '资金池（募集资金余额）',
	private BigDecimal raisingBalanceCapitalAccountTotal;// '单独资金账户（募集资金余额）',
	private BigDecimal availableBalanceCapitalTotal;// '资金池（可用资金余额）',
	private BigDecimal availableBalanceCapitalAccountTotal;// '单独资金账户（可用资金余额）',

	
	
	public String getRegionName() {
		return regionName;
	}

	public void setRegionName(String regionName) {
		this.regionName = regionName;
	}

	public String getTotalFlag() {
		return totalFlag;
	}

	public void setTotalFlag(String totalFlag) {
		this.totalFlag = totalFlag;
	}

	public BigDecimal getFollowCapitalTotal() {
		return followCapitalTotal;
	}

	public void setFollowCapitalTotal(BigDecimal followCapitalTotal) {
		this.followCapitalTotal = followCapitalTotal;
	}

	

	public BigDecimal getFollowCapitalAccountTotal() {
		return followCapitalAccountTotal;
	}

	public void setFollowCapitalAccountTotal(BigDecimal followCapitalAccountTotal) {
		this.followCapitalAccountTotal = followCapitalAccountTotal;
	}

	public BigDecimal getFinancialIncomeCapitalTotal() {
		return financialIncomeCapitalTotal;
	}

	public void setFinancialIncomeCapitalTotal(BigDecimal financialIncomeCapitalTotal) {
		this.financialIncomeCapitalTotal = financialIncomeCapitalTotal;
	}

	public BigDecimal getFinancialIncomeCapitalAccountTotal() {
		return financialIncomeCapitalAccountTotal;
	}

	public void setFinancialIncomeCapitalAccountTotal(BigDecimal financialIncomeCapitalAccountTotal) {
		this.financialIncomeCapitalAccountTotal = financialIncomeCapitalAccountTotal;
	}

	

	public BigDecimal getRaisingBalanceCapitalTotal() {
		return raisingBalanceCapitalTotal;
	}

	public void setRaisingBalanceCapitalTotal(BigDecimal raisingBalanceCapitalTotal) {
		this.raisingBalanceCapitalTotal = raisingBalanceCapitalTotal;
	}

	public BigDecimal getRaisingBalanceCapitalAccountTotal() {
		return raisingBalanceCapitalAccountTotal;
	}

	public void setRaisingBalanceCapitalAccountTotal(BigDecimal raisingBalanceCapitalAccountTotal) {
		this.raisingBalanceCapitalAccountTotal = raisingBalanceCapitalAccountTotal;
	}

	public BigDecimal getAvailableBalanceCapitalTotal() {
		return availableBalanceCapitalTotal;
	}

	public void setAvailableBalanceCapitalTotal(BigDecimal availableBalanceCapitalTotal) {
		this.availableBalanceCapitalTotal = availableBalanceCapitalTotal;
	}

	public BigDecimal getAvailableBalanceCapitalAccountTotal() {
		return availableBalanceCapitalAccountTotal;
	}

	public void setAvailableBalanceCapitalAccountTotal(BigDecimal availableBalanceCapitalAccountTotal) {
		this.availableBalanceCapitalAccountTotal = availableBalanceCapitalAccountTotal;
	}

}
